# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

CRATES="
	adler-1.0.2
	assert_cmd-2.0.8
	autocfg-1.1.0
	bincode-1.3.3
	bit_field-0.10.1
	bitflags-1.3.2
	bstr-1.2.0
	bumpalo-3.12.0
	bytemuck-1.13.0
	byteorder-1.4.3
	calloop-0.10.5
	cc-1.0.79
	cfg-if-1.0.0
	clap-4.1.6
	clap_complete-4.1.2
	clap_derive-4.1.0
	clap_lex-0.3.1
	color_quant-1.1.0
	crc32fast-1.3.2
	crossbeam-channel-0.5.6
	crossbeam-deque-0.8.2
	crossbeam-epoch-0.9.13
	crossbeam-utils-0.8.14
	crunchy-0.2.2
	difflib-0.4.0
	dlib-0.5.0
	doc-comment-0.3.3
	downcast-rs-1.2.0
	either-1.8.1
	errno-0.2.8
	errno-dragonfly-0.1.2
	exr-1.5.3
	fast_image_resize-2.5.0
	flate2-1.0.25
	flume-0.10.14
	futures-core-0.3.26
	futures-sink-0.3.26
	getrandom-0.2.8
	gif-0.11.4
	half-2.2.1
	heck-0.4.1
	hermit-abi-0.2.6
	hermit-abi-0.3.1
	image-0.24.5
	io-lifetimes-1.0.5
	is-terminal-0.4.3
	itertools-0.10.5
	itoa-1.0.5
	jobserver-0.1.25
	jpeg-decoder-0.3.0
	js-sys-0.3.61
	keyframe-1.1.1
	lazy_static-1.4.0
	lebe-0.5.2
	libc-0.2.139
	libloading-0.7.4
	libm-0.2.6
	linux-raw-sys-0.1.4
	lock_api-0.4.9
	log-0.4.17
	lzzzz-1.0.4
	memchr-2.5.0
	memmap2-0.5.8
	memoffset-0.6.5
	memoffset-0.7.1
	minimal-lexical-0.2.1
	miniz_oxide-0.6.2
	mint-0.5.9
	nanorand-0.7.0
	nix-0.24.3
	nix-0.25.1
	nom-7.1.3
	num-integer-0.1.45
	num-rational-0.4.1
	num-traits-0.2.15
	num_cpus-1.15.0
	num_threads-0.1.6
	once_cell-1.17.1
	os_str_bytes-6.4.1
	pin-project-1.0.12
	pin-project-internal-1.0.12
	pkg-config-0.3.26
	png-0.17.7
	ppv-lite86-0.2.17
	predicates-2.1.5
	predicates-core-1.0.5
	predicates-tree-1.0.7
	proc-macro-error-1.0.4
	proc-macro-error-attr-1.0.4
	proc-macro2-1.0.51
	quote-1.0.23
	rand-0.8.5
	rand_chacha-0.3.1
	rand_core-0.6.4
	rayon-1.6.1
	rayon-core-1.10.2
	regex-automata-0.1.10
	rustix-0.36.8
	scoped_threadpool-0.1.9
	scopeguard-1.1.0
	serde-1.0.152
	serde_derive-1.0.152
	simd-adler32-0.3.4
	simplelog-0.12.0
	slotmap-1.0.6
	smallvec-1.10.0
	smithay-client-toolkit-0.16.0
	spin-0.9.5
	strsim-0.10.0
	syn-1.0.107
	termcolor-1.1.3
	terminal_size-0.2.5
	termtree-0.4.0
	thiserror-1.0.38
	thiserror-impl-1.0.38
	threadpool-1.8.1
	tiff-0.8.1
	time-0.3.19
	time-core-0.1.0
	time-macros-0.2.7
	unicode-ident-1.0.6
	vec_map-0.8.2
	version_check-0.9.4
	wait-timeout-0.2.0
	wasi-0.11.0+wasi-snapshot-preview1
	wasm-bindgen-0.2.84
	wasm-bindgen-backend-0.2.84
	wasm-bindgen-macro-0.2.84
	wasm-bindgen-macro-support-0.2.84
	wasm-bindgen-shared-0.2.84
	wayland-client-0.29.5
	wayland-commons-0.29.5
	wayland-cursor-0.29.5
	wayland-protocols-0.29.5
	wayland-scanner-0.29.5
	wayland-sys-0.29.5
	weezl-0.1.7
	winapi-0.3.9
	winapi-i686-pc-windows-gnu-0.4.0
	winapi-util-0.1.5
	winapi-x86_64-pc-windows-gnu-0.4.0
	windows-sys-0.45.0
	windows-targets-0.42.1
	windows_aarch64_gnullvm-0.42.1
	windows_aarch64_msvc-0.42.1
	windows_i686_gnu-0.42.1
	windows_i686_msvc-0.42.1
	windows_x86_64_gnu-0.42.1
	windows_x86_64_gnullvm-0.42.1
	windows_x86_64_msvc-0.42.1
	xcursor-0.3.4
	xml-rs-0.8.4
	zune-inflate-0.2.50
"

inherit cargo

DESCRIPTION="Animated wallpaper daemon for Wayland."
HOMEPAGE="https://github.com/Horus645/swww"
SRC_URI="
	https://github.com/Horus645/swww/archive/v${PV}.tar.gz -> ${P}.tar.gz
	$(cargo_crate_uris)
"

LICENSE="GPL-3 MIT 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions ISC MIT Unlicense ZLIB"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="app-arch/lz4"
RDEPEND="${DEPEND}"
BDEPEND=""

# rust does not use *FLAGS from make.conf, silence portage warning
QA_FLAGS_IGNORED="
	usr/bin/swww
	usr/bin/swww-daemon
"
